public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Georgy Yakovlev" <gyakovlev@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-fs/zfs-kmod/
Date: Wed,  7 Oct 2020 00:00:24 +0000 (UTC)	[thread overview]
Message-ID: <1602028639.eb346d0a9c63cee3d42b6501328a6007f8303bc3.gyakovlev@gentoo> (raw)

commit:     eb346d0a9c63cee3d42b6501328a6007f8303bc3
Author:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Tue Oct  6 23:52:11 2020 +0000
Commit:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Tue Oct  6 23:57:19 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb346d0a

sys-fs/zfs-kmod: bump to 0.8.5

Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>

 sys-fs/zfs-kmod/Manifest              |   1 +
 sys-fs/zfs-kmod/zfs-kmod-0.8.5.ebuild | 181 ++++++++++++++++++++++++++++++++++
 2 files changed, 182 insertions(+)

diff --git a/sys-fs/zfs-kmod/Manifest b/sys-fs/zfs-kmod/Manifest
index e3ff6c2eec9..e722910db54 100644
--- a/sys-fs/zfs-kmod/Manifest
+++ b/sys-fs/zfs-kmod/Manifest
@@ -1,3 +1,4 @@
 DIST zfs-0.8.4.tar.gz 9285838 BLAKE2B 776bcd6dfab8825c07d315085e288b29bf543d6957325d5d566b7b78c04505dde9bd25eb6684cb4a1b6a657de8a4e1290d04d2b9079d26d6b834a70f1ec3b569 SHA512 9086dc6a6262dd93ca6ec43f1b4c2e5c804deba708c8a7460b8531aa4802b0bf8cac0917a1a00e6af2e96d4a21cd68b85e226bf571bd94041d0325c457106eb1
+DIST zfs-0.8.5.tar.gz 9196381 BLAKE2B 8376f360369c4657ff1fc040fb2bba780bbd5d6a98d149d2fa4ba39478588e213dbf6db218c7bd970839f015a69ae00ac951b90afc1c26b34aadf666b2976cab SHA512 3e6e70b76f7cc5b018adb78ce7c3009f88faf5b3da0a03170b03577cd84a2937b6056621c41fc819fd08bf59b28053caf8fec375cf375816a6786bb5646ed773
 DIST zfs-2.0.0-rc2.tar.gz 12854085 BLAKE2B 73cabd565c11eef1bebbc391f8c4ba18acd1610f98f1b8afb507bc844f4b6a64ba32d9727e634c7f26c48fe365a841bf071513df234b9b7a87e954610a6d7f3b SHA512 14b17d06124890efef15b3b073e103c9faeecaea761779fff9a8420e3ab72fa611df9875fa766a323d69646e9025f8b19f918ded4c6705af116cf9f14eea4f40
 DIST zfs-2.0.0-rc3.tar.gz 12860212 BLAKE2B bd29ceb17938180ffda9a26cfee97f4b9b42752cd7a3bf5d72705d94967d219889cc84a71d4c0f59aaf718d596011ecdbf07000788aa39a424087eb7cf62a944 SHA512 c09bebb1d1b19079b51305eea1b3d1a428a46bf1301afc9dfa20871ac670d94dc9f7f9127384b2db501fd909f22a16fad0c1b7383eb9ce31a7c0e696e66a097f

diff --git a/sys-fs/zfs-kmod/zfs-kmod-0.8.5.ebuild b/sys-fs/zfs-kmod/zfs-kmod-0.8.5.ebuild
new file mode 100644
index 00000000000..8f856e4ad5f
--- /dev/null
+++ b/sys-fs/zfs-kmod/zfs-kmod-0.8.5.ebuild
@@ -0,0 +1,181 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic linux-mod toolchain-funcs
+
+DESCRIPTION="Linux ZFS kernel module for sys-fs/zfs"
+HOMEPAGE="https://github.com/openzfs/zfs"
+
+if [[ ${PV} == "9999" ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/openzfs/zfs.git"
+else
+	SRC_URI="https://github.com/openzfs/zfs/releases/download/zfs-${PV}/zfs-${PV}.tar.gz"
+	KEYWORDS="~amd64 ~arm64 ~ppc64"
+	S="${WORKDIR}/zfs-${PV}"
+	ZFS_KERNEL_COMPAT="5.8"
+fi
+
+LICENSE="CDDL debug? ( GPL-2+ )"
+SLOT="0"
+IUSE="custom-cflags debug +rootfs"
+
+DEPEND=""
+
+RDEPEND="${DEPEND}
+	!sys-kernel/spl
+"
+
+BDEPEND="
+	dev-lang/perl
+	virtual/awk
+"
+
+RESTRICT="debug? ( strip ) test"
+
+DOCS=( AUTHORS COPYRIGHT META README.md )
+
+pkg_setup() {
+	CONFIG_CHECK="
+		!DEBUG_LOCK_ALLOC
+		EFI_PARTITION
+		MODULES
+		!PAX_KERNEXEC_PLUGIN_METHOD_OR
+		!TRIM_UNUSED_KSYMS
+		ZLIB_DEFLATE
+		ZLIB_INFLATE
+	"
+
+	use debug && CONFIG_CHECK="${CONFIG_CHECK}
+		FRAME_POINTER
+		DEBUG_INFO
+		!DEBUG_INFO_REDUCED
+	"
+
+	use rootfs && \
+		CONFIG_CHECK="${CONFIG_CHECK}
+			BLK_DEV_INITRD
+			DEVTMPFS
+	"
+
+	if use arm64; then
+		kernel_is -ge 5 && CONFIG_CHECK="${CONFIG_CHECK} !PREEMPT"
+	fi
+
+	kernel_is -lt 5 && CONFIG_CHECK="${CONFIG_CHECK} IOSCHED_NOOP"
+
+	if [[ ${PV} != "9999" ]]; then
+		local kv_major_max kv_minor_max zcompat
+		zcompat="${ZFS_KERNEL_COMPAT_OVERRIDE:-${ZFS_KERNEL_COMPAT}}"
+		kv_major_max="${zcompat%%.*}"
+		zcompat="${zcompat#*.}"
+		kv_minor_max="${zcompat%%.*}"
+		kernel_is -le "${kv_major_max}" "${kv_minor_max}" || die \
+			"Linux ${kv_major_max}.${kv_minor_max} is the latest supported version"
+
+		# 0.8.x requires at least 2.6.32
+		kernel_is ge 2 6 32 || die "Linux 2.6.32 or newer required"
+	else
+		# git master requires at least 3.10
+		kernel_is -ge 3 10 || die "Linux 3.10 or newer required"
+	fi
+
+	linux-mod_pkg_setup
+}
+
+src_prepare() {
+	default
+
+	if [[ ${PV} == "9999" ]]; then
+		eautoreconf
+	else
+		# Set module revision number
+		sed -i "s/\(Release:\)\(.*\)1/\1\2${PR}-gentoo/" META || die "Could not set Gentoo release"
+	fi
+}
+
+src_configure() {
+	set_arch_to_kernel
+
+	use custom-cflags || strip-flags
+
+	filter-ldflags -Wl,*
+
+	local myconf=(
+		CROSS_COMPILE="${CHOST}-"
+		HOSTCC="$(tc-getBUILD_CC)"
+		--bindir="${EPREFIX}/bin"
+		--sbindir="${EPREFIX}/sbin"
+		--with-config=kernel
+		--with-linux="${KV_DIR}"
+		--with-linux-obj="${KV_OUT_DIR}"
+		$(use_enable debug)
+	)
+
+	CONFIG_SHELL="${EPREFIX}/bin/bash" econf "${myconf[@]}"
+}
+
+src_compile() {
+	set_arch_to_kernel
+
+	myemakeargs=(
+		CROSS_COMPILE="${CHOST}-"
+		HOSTCC="$(tc-getBUILD_CC)"
+		V=1
+	)
+
+	emake "${myemakeargs[@]}"
+}
+
+src_install() {
+	set_arch_to_kernel
+
+	myemakeargs+=(
+		DEPMOD="/bin/true"
+		DESTDIR="${D}"
+		INSTALL_MOD_PATH="${INSTALL_MOD_PATH:-$EROOT}"
+	)
+
+	emake "${myemakeargs[@]}" install
+
+	einstalldocs
+}
+
+pkg_postinst() {
+	linux-mod_pkg_postinst
+
+	# Remove old modules
+	if [[ -d "${EROOT}/lib/modules/${KV_FULL}/addon/zfs" ]]; then
+		ewarn "${PN} now installs modules in ${EROOT}/lib/modules/${KV_FULL}/extra/zfs"
+		ewarn "Old modules were detected in ${EROOT}/lib/modules/${KV_FULL}/addon/zfs"
+		ewarn "Automatically removing old modules to avoid problems."
+		rm -r "${EROOT}/lib/modules/${KV_FULL}/addon/zfs" || die "Cannot remove modules"
+		rmdir --ignore-fail-on-non-empty "${EROOT}/lib/modules/${KV_FULL}/addon"
+	fi
+
+	if use x86 || use arm; then
+		ewarn "32-bit kernels will likely require increasing vmalloc to"
+		ewarn "at least 256M and decreasing zfs_arc_max to some value less than that."
+	fi
+
+	ewarn "This version of OpenZFS includes support for new feature flags"
+	ewarn "that are incompatible with previous versions. GRUB2 support for"
+	ewarn "/boot with the new feature flags is not yet available."
+	ewarn "Do *NOT* upgrade root pools to use the new feature flags."
+	ewarn "Any new pools will be created with the new feature flags by default"
+	ewarn "and will not be compatible with older versions of ZFSOnLinux. To"
+	ewarn "create a newpool that is backward compatible wih GRUB2, use "
+	ewarn
+	ewarn "zpool create -d -o feature@async_destroy=enabled "
+	ewarn "	-o feature@empty_bpobj=enabled -o feature@lz4_compress=enabled"
+	ewarn "	-o feature@spacemap_histogram=enabled"
+	ewarn "	-o feature@enabled_txg=enabled "
+	ewarn "	-o feature@extensible_dataset=enabled -o feature@bookmarks=enabled"
+	ewarn "	..."
+	ewarn
+	ewarn "GRUB2 support will be updated as soon as either the GRUB2"
+	ewarn "developers do a tag or the Gentoo developers find time to backport"
+	ewarn "support from GRUB2 HEAD."
+}


             reply	other threads:[~2020-10-07  0:00 UTC|newest]

Thread overview: 284+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-10-07  0:00 Georgy Yakovlev [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-05  6:28 [gentoo-commits] repo/gentoo:master commit in: sys-fs/zfs-kmod/ Sam James
2024-10-05  6:16 Sam James
2024-09-08  6:04 Arthur Zamarin
2024-09-08  6:04 Arthur Zamarin
2024-09-05 13:01 Sam James
2024-08-21 14:34 Sam James
2024-08-21 11:48 Sam James
2024-08-21 11:48 Sam James
2024-08-21 11:48 Sam James
2024-08-10 20:42 Sam James
2024-08-10 20:42 Sam James
2024-05-17 12:07 Andrew Ammerlaan
2024-05-11  2:03 Sam James
2024-05-11  2:03 Sam James
2024-05-11  2:03 Sam James
2024-05-11  2:03 Sam James
2024-05-11  2:03 Sam James
2024-05-11  2:03 Sam James
2024-05-03  4:54 Sam James
2024-05-03  4:54 Sam James
2024-02-29  8:23 Sam James
2024-02-23  6:33 Sam James
2024-01-29 17:17 Sam James
2024-01-22 17:28 Arthur Zamarin
2024-01-22 17:28 Arthur Zamarin
2024-01-22 17:28 Arthur Zamarin
2023-12-28  3:43 Sam James
2023-12-27  6:49 WANG Xuerui
2023-12-27  6:49 WANG Xuerui
2023-12-12  3:57 Sam James
2023-12-12  3:57 Sam James
2023-12-12  3:57 Sam James
2023-12-01  3:26 Sam James
2023-12-01  3:26 Sam James
2023-11-27  0:23 Sam James
2023-11-24 22:13 Sam James
2023-11-22 10:43 Sam James
2023-10-25  2:33 Sam James
2023-10-25  2:33 Sam James
2023-10-25  2:33 Sam James
2023-10-14  1:53 Sam James
2023-10-14  1:53 Sam James
2023-10-14  1:53 Sam James
2023-10-08  1:04 Sam James
2023-09-28  1:18 Sam James
2023-09-13  2:15 Sam James
2023-09-09  1:53 Sam James
2023-08-09  5:56 Sam James
2023-08-09  5:56 Sam James
2023-08-04  0:54 Sam James
2023-08-03 16:20 Sam James
2023-08-03 16:20 Sam James
2023-07-28  1:35 Sam James
2023-07-28  1:35 Sam James
2023-07-23 23:55 Sam James
2023-07-03 21:03 Sam James
2023-06-07  9:52 Sam James
2023-05-31  2:57 Sam James
2023-05-30 11:23 Arthur Zamarin
2023-05-30  2:51 Sam James
2023-05-30  2:51 Sam James
2023-04-20 16:06 Sam James
2023-04-15  0:14 Sam James
2023-04-14 23:52 Sam James
2023-02-23 23:54 Georgy Yakovlev
2023-02-23 22:15 Sam James
2023-02-16  4:47 Sam James
2023-01-27 19:34 Georgy Yakovlev
2023-01-27 19:34 Georgy Yakovlev
2023-01-20 22:28 Sam James
2023-01-13  5:36 Sam James
2023-01-13  5:34 Georgy Yakovlev
2023-01-13  4:33 Georgy Yakovlev
2022-12-08 19:48 Georgy Yakovlev
2022-12-08 19:48 Georgy Yakovlev
2022-12-08 19:14 Georgy Yakovlev
2022-12-08 19:14 Georgy Yakovlev
2022-12-04 20:56 Georgy Yakovlev
2022-12-03 21:59 Georgy Yakovlev
2022-12-03 21:59 Georgy Yakovlev
2022-12-02  2:54 Sam James
2022-12-02  2:51 Sam James
2022-10-28  9:43 Sam James
2022-10-14 12:43 Arthur Zamarin
2022-09-17 22:16 Georgy Yakovlev
2022-09-17 22:16 Georgy Yakovlev
2022-09-17 20:42 Georgy Yakovlev
2022-09-17  4:11 Georgy Yakovlev
2022-09-16 23:12 Georgy Yakovlev
2022-09-02 20:11 Sam James
2022-08-03 18:55 Sam James
2022-08-03  4:35 Sam James
2022-06-22 22:40 Sam James
2022-06-07 18:56 Georgy Yakovlev
2022-05-16  1:20 Georgy Yakovlev
2022-05-05  7:07 Jakov Smolić
2022-04-29 10:21 Sam James
2022-04-26  9:58 Georgy Yakovlev
2022-04-26  6:31 Sam James
2022-04-17 16:44 Sam James
2022-03-24 16:13 John Helmert III
2022-03-11 13:21 Sam James
2022-03-11 12:33 Sam James
2022-03-11 12:07 Sam James
2022-03-11 11:14 Sam James
2022-01-15 22:03 Sam James
2022-01-15 22:03 Sam James
2022-01-15 22:03 Sam James
2021-12-26 23:04 Georgy Yakovlev
2021-12-26 22:35 Georgy Yakovlev
2021-12-25  1:02 Georgy Yakovlev
2021-12-25  1:02 Georgy Yakovlev
2021-12-25  1:02 Georgy Yakovlev
2021-12-23 23:08 Georgy Yakovlev
2021-12-23 23:08 Georgy Yakovlev
2021-12-23 22:28 Georgy Yakovlev
2021-12-23 22:28 Georgy Yakovlev
2021-12-16  2:51 Georgy Yakovlev
2021-12-08  0:16 Georgy Yakovlev
2021-11-28 19:32 Georgy Yakovlev
2021-11-11  2:22 Georgy Yakovlev
2021-11-11  2:22 Georgy Yakovlev
2021-11-07 23:59 Georgy Yakovlev
2021-11-07 23:59 Georgy Yakovlev
2021-11-07 23:59 Georgy Yakovlev
2021-10-07  5:50 Georgy Yakovlev
2021-09-29 23:11 Georgy Yakovlev
2021-09-29 23:11 Georgy Yakovlev
2021-09-29 23:11 Georgy Yakovlev
2021-09-29 23:11 Georgy Yakovlev
2021-09-29 23:11 Georgy Yakovlev
2021-09-22  1:19 Sam James
2021-09-18  1:43 Yixun Lan
2021-09-16 22:16 Sam James
2021-09-07 17:32 Mike Gilbert
2021-08-05 23:15 Georgy Yakovlev
2021-07-31 13:40 Michał Górny
2021-07-02 19:30 Georgy Yakovlev
2021-07-02 19:30 Georgy Yakovlev
2021-07-02 19:10 Georgy Yakovlev
2021-07-02  8:31 Georgy Yakovlev
2021-07-02  8:31 Georgy Yakovlev
2021-07-02  8:31 Georgy Yakovlev
2021-07-02  7:02 Sam James
2021-07-02  7:02 Sam James
2021-06-24  2:28 Georgy Yakovlev
2021-06-11  2:07 Sam James
2021-06-11  2:07 Sam James
2021-06-11  2:07 Sam James
2021-06-09  5:20 Georgy Yakovlev
2021-06-09  5:20 Georgy Yakovlev
2021-05-30  7:33 Georgy Yakovlev
2021-05-28 20:08 Sam James
2021-05-28 20:08 Sam James
2021-05-21 16:22 Georgy Yakovlev
2021-05-11  6:11 Georgy Yakovlev
2021-05-11  6:08 Georgy Yakovlev
2021-05-11  6:08 Georgy Yakovlev
2021-05-11  5:49 Georgy Yakovlev
2021-05-02 16:45 Georgy Yakovlev
2021-04-23 13:33 Sam James
2021-04-23 13:33 Sam James
2021-04-19  0:18 Sam James
2021-04-08 15:41 Georgy Yakovlev
2021-04-02 10:03 Georgy Yakovlev
2021-03-09 21:08 Georgy Yakovlev
2021-03-09 21:08 Georgy Yakovlev
2021-03-09 10:12 Sam James
2021-03-04  4:22 Sam James
2021-03-01 10:59 Sam James
2021-02-11 23:49 Georgy Yakovlev
2021-02-11 23:49 Georgy Yakovlev
2021-02-11 23:49 Georgy Yakovlev
2021-02-02 23:52 Georgy Yakovlev
2021-01-13 11:54 Michał Górny
2021-01-12 19:28 Georgy Yakovlev
2021-01-12 19:28 Georgy Yakovlev
2021-01-07 18:51 Georgy Yakovlev
2021-01-07 18:51 Georgy Yakovlev
2020-12-15 10:22 Georgy Yakovlev
2020-12-15 10:22 Georgy Yakovlev
2020-12-01 19:04 Georgy Yakovlev
2020-12-01 19:04 Georgy Yakovlev
2020-11-25 18:57 Georgy Yakovlev
2020-11-14  3:28 Georgy Yakovlev
2020-11-12 20:20 Georgy Yakovlev
2020-11-06  2:45 Georgy Yakovlev
2020-11-03 20:07 Georgy Yakovlev
2020-11-03 20:07 Georgy Yakovlev
2020-11-03 20:07 Georgy Yakovlev
2020-10-22  2:41 Georgy Yakovlev
2020-10-22  2:35 Georgy Yakovlev
2020-10-16 17:36 Georgy Yakovlev
2020-10-07  0:00 Georgy Yakovlev
2020-10-01 22:31 Georgy Yakovlev
2020-09-21 22:51 Georgy Yakovlev
2020-09-18 21:59 Georgy Yakovlev
2020-08-27  8:24 Georgy Yakovlev
2020-08-27  8:24 Georgy Yakovlev
2020-08-27  0:34 Georgy Yakovlev
2020-08-27  0:34 Georgy Yakovlev
2020-08-26 22:51 Georgy Yakovlev
2020-08-26 22:51 Georgy Yakovlev
2020-08-25 22:41 Georgy Yakovlev
2020-08-25 22:41 Georgy Yakovlev
2020-08-25 22:30 Georgy Yakovlev
2020-08-21  6:31 Georgy Yakovlev
2020-08-21  6:31 Georgy Yakovlev
2020-08-08 12:18 Mikle Kolyada
2020-07-13 15:47 Matthew Thode
2020-06-10 21:52 Richard Yao
2020-06-10 21:49 Richard Yao
2020-06-10 21:49 Richard Yao
2020-06-10 21:49 Richard Yao
2020-05-15  3:50 Georgy Yakovlev
2020-05-15  3:50 Georgy Yakovlev
2020-05-12 22:44 Georgy Yakovlev
2020-05-06  3:03 Georgy Yakovlev
2020-04-14 23:03 Georgy Yakovlev
2020-03-30 21:08 Georgy Yakovlev
2020-01-24  7:05 Georgy Yakovlev
2020-01-24  7:05 Georgy Yakovlev
2020-01-24  7:05 Georgy Yakovlev
2020-01-21 19:01 Georgy Yakovlev
2019-12-06 21:52 Georgy Yakovlev
2019-12-06 21:48 Georgy Yakovlev
2019-11-26 20:32 Georgy Yakovlev
2019-11-26 20:32 Georgy Yakovlev
2019-09-27 19:16 Georgy Yakovlev
2019-09-12 21:50 Georgy Yakovlev
2019-08-18  5:57 Georgy Yakovlev
2019-08-14  6:05 Georgy Yakovlev
2019-08-14  6:05 Georgy Yakovlev
2019-08-04  8:41 Georgy Yakovlev
2019-06-23  8:00 Georgy Yakovlev
2019-06-14 22:07 Georgy Yakovlev
2019-06-03  3:11 Georgy Yakovlev
2019-05-29 22:15 Georgy Yakovlev
2019-05-23 19:30 Georgy Yakovlev
2019-05-23 18:43 Georgy Yakovlev
2019-05-19  3:40 Georgy Yakovlev
2019-05-17 21:16 Georgy Yakovlev
2019-05-17 21:16 Georgy Yakovlev
2019-05-16 12:30 Georgy Yakovlev
2019-05-11 20:11 Georgy Yakovlev
2019-05-10  0:19 Georgy Yakovlev
2019-05-10  0:19 Georgy Yakovlev
2019-04-18 21:34 Georgy Yakovlev
2019-03-31  3:53 Georgy Yakovlev
2019-03-09  2:12 Richard Yao
2019-03-05  4:29 Georgy Yakovlev
2019-02-20 20:25 Georgy Yakovlev
2019-02-18  3:25 Georgy Yakovlev
2018-11-22 22:24 Georgy Yakovlev
2018-11-22 22:24 Georgy Yakovlev
2018-07-27 19:33 Georgy Yakovlev
2018-07-27 19:33 Georgy Yakovlev
2018-07-27 19:33 Georgy Yakovlev
2018-06-18 21:16 Georgy Yakovlev
2018-05-31 16:08 Richard Yao
2018-05-31 15:05 Richard Yao
2018-04-01 16:10 Aaron Bauman
2018-02-14 21:01 Matt Thode
2017-10-22 13:57 Patrick Lauer
2017-08-12 14:12 Jonathan Vasquez
2017-07-30  9:23 Michał Górny
2017-07-27 12:41 Jonathan Vasquez
2017-07-11  1:54 Jonathan Vasquez
2017-06-15  2:03 Jonathan Vasquez
2017-04-22 19:25 Richard Yao
2017-02-07  0:56 Jonathan Vasquez
2016-10-10  2:15 Yixun Lan
2016-06-22  6:13 Yixun Lan
2016-02-09  3:08 Jason Zaman
2016-01-27 22:06 Richard Yao
2016-01-27 21:41 Richard Yao
2016-01-16 19:06 Richard Yao
2015-12-03 18:39 Richard Yao
2015-11-27 21:14 Richard Yao
2015-10-23 20:46 Jason Zaman
2015-10-23 20:34 Jason Zaman
2015-10-09 17:01 Jason Zaman
2015-10-09 15:40 Richard Yao

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1602028639.eb346d0a9c63cee3d42b6501328a6007f8303bc3.gyakovlev@gentoo \
    --to=gyakovlev@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox